<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\VirtualInterface\Forms;

use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\VirtualInterface\Fields\IpSelect;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\VirtualInterface\Providers\VirtualInterfaceProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\VirtualInterface\Fields\NetworkSelect;



class CreateForm extends BaseForm implements ClientArea
{
    public function initContent()
    {
        $this->initIds('createForm');
        $this->setFormType('create');
        $this->setProvider(new VirtualInterfaceProvider());
        $this->initFields();
        $this->loadDataToForm();
    }

    public function getAllowedActions()
    {
        return ['create'];
    }

    private function initFields()
    {
        //vn_id
        $field = new NetworkSelect('vn_id');
        $field->setId('vn_id');
        $field->setMainContainer($this->mainContainer);
        $field->notEmpty();
        $this->addField($field);
        //ip
        $field = new IpSelect('ip');
        $field->setMainContainer($this->mainContainer);
        $field->notEmpty();
        $field->addReloadOnChangeField('vn_id');
        $this->addField($field);

    }
}